using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ServerControl1
{
    [DefaultProperty("Text")]
    [ToolboxData("<{0}:ServerControl1 runat=server></{0}:ServerControl1>")]
    public class ServerControl39 : WebControl
    {
        private Guid _bookid;

        [Bindable(true)]
        [Category("Appearance")]
        [DefaultValue("")]
        [TypeConverter(typeof(GuidConverter))]
        public Guid BookId
        {
            get
            {
                return _bookid;
            }

            set
            {
                _bookid = value;
            }
        }

        protected override void RenderContents(HtmlTextWriter output)
        {
            output.Write(BookId.ToString());
        }
    }
}
